# eric4.Project.PropertiesDialog

Module implementing the project properties dialog.

### Global Attributes

None

### Classes

PropertiesDialog | Class implementing the project properties dialog.

### Functions

None

## PropertiesDialog

Class implementing the project properties dialog.

### Derived from

QDialog, Ui_PropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

PropertiesDialog | Constructor
getPPath | Public method to get the project path.
getProjectType | Public method to get the selected project type.
on_dirButton_clicked | Private slot to display a directory selection dialog.
on_mainscriptButton_clicked | Private slot to display a file selection dialog.
on_spellPropertiesButton_clicked | Private slot to display the spelling properties dialog.
on_transPropertiesButton_clicked | Private slot to display the translations properties dialog.
on_vcsInfoButton_clicked | Private slot to display a vcs information dialog.
storeData | Public method to store the entered/modified data.

### Static Methods

None

#### PropertiesDialog (Constructor)

PropertiesDialog(project, new = True, parent = None, name = None)

Constructor

project
  reference to the project object
new
  flag indicating the generation of a new project
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### PropertiesDialog.getPPath

getPPath()

Public method to get the project path.

Returns:
  data of the project directory edit (string)

#### PropertiesDialog.getProjectType

getProjectType()

Public method to get the selected project type.

Returns:
  selected UI type (string)

#### PropertiesDialog.on_dirButton_clicked

on_dirButton_clicked()

Private slot to display a directory selection dialog.

#### PropertiesDialog.on_mainscriptButton_clicked

on_mainscriptButton_clicked()

Private slot to display a file selection dialog.

#### PropertiesDialog.on_spellPropertiesButton_clicked

on_spellPropertiesButton_clicked()

Private slot to display the spelling properties dialog.

#### PropertiesDialog.on_transPropertiesButton_clicked

on_transPropertiesButton_clicked()

Private slot to display the translations properties dialog.

#### PropertiesDialog.on_vcsInfoButton_clicked

on_vcsInfoButton_clicked()

Private slot to display a vcs information dialog.

#### PropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up